import * as v1 from '@wormhole-foundation/wormhole-connect-sdk';
import { Network as NetworkConnect, TokenConfig as TokenConfigV1, TokensConfig as TokensConfigV1, ChainsConfig as ChainsConfigV1 } from './types';
import * as v2 from '@wormhole-foundation/sdk';
export declare class SDKConverter {
    wh: v1.WormholeContext;
    chains: ChainsConfigV1;
    tokens: TokensConfigV1;
    constructor(wh: v1.WormholeContext, chains: ChainsConfigV1, tokens: TokensConfigV1);
    toChainIdV1(chain: v2.Chain): v1.ChainId;
    toChainNameV1(chain: v2.Chain): v1.ChainName;
    toChainV2(chain: v1.ChainName | v1.ChainId): v2.Chain;
    toNetworkV2(network: NetworkConnect): v2.Network;
    toNetworkV1(network: v2.Network): NetworkConnect;
    toTokenIdV1(token: v2.TokenId): v1.TokenId | undefined;
    toTokenIdV2(token: v1.TokenId | TokenConfigV1): v2.TokenId;
    isTokenConfigV1(v: v1.TokenId | TokenConfigV1): v is TokenConfigV1;
    findTokenConfigV1(tokenId: v2.TokenId): TokenConfigV1 | undefined;
}
//# sourceMappingURL=converter.d.ts.map